> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Info by ID

> Get User Info by ID



## OpenAPI

````yaml /api-reference/openapi.json get /api/user/info-by-id
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/user/info-by-id:
    get:
      tags:
        - User
      summary: Get User Info by ID
      description: Get User Info by ID
      operationId: getApiUserInfo-by-id
      parameters:
        - in: query
          name: userId
          schema:
            type: string
            pattern: ^\d+$
            description: Either userId or secUid must be provided (only one is required)
            example: '6881290705605477381'
        - in: query
          name: secUid
          schema:
            type: string
            description: Either userId or secUid must be provided (only one is required)
            example: >-
              MS4wLjABAAAAqB08cUbXaDWqbD6MCga2RbGTuhfO2EsHayBYx08NDrN7IE3jQuRDNNN6YwyfH6_6
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  user:
                    type: object
                    properties:
                      account_type:
                        type: number
                        description: ''
                        example: 0
                      avatar_300x300:
                        type: object
                        properties:
                          uri:
                            type: string
                            description: ''
                            example: >-
                              tos-useast5-avt-0068-tx/c39c2807c155535cf328225955e00aba
                          url_list:
                            type: array
                            items:
                              type: string
                            description: ''
                            example:
                              - >-
                                https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/example1.webp
                              - >-
                                https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/example2.jpeg
                          url_prefix:
                            type:
                              - string
                              - 'null'
                            description: ''
                            example: null
                      avatar_larger:
                        type: object
                        properties:
                          uri:
                            type: string
                            description: ''
                            example: >-
                              tos-useast5-avt-0068-tx/c39c2807c155535cf328225955e00aba
                          url_list:
                            type: array
                            items:
                              type: string
                            description: ''
                            example:
                              - >-
                                https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/example1.webp
                              - >-
                                https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/example2.jpeg
                          url_prefix:
                            type:
                              - string
                              - 'null'
                            description: ''
                            example: null
                      avatar_medium:
                        type: object
                        properties:
                          uri:
                            type: string
                            description: ''
                            example: >-
                              tos-useast5-avt-0068-tx/c39c2807c155535cf328225955e00aba
                          url_list:
                            type: array
                            items:
                              type: string
                            description: ''
                            example:
                              - >-
                                https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/example1.webp
                              - >-
                                https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/example2.jpeg
                          url_prefix:
                            type:
                              - string
                              - 'null'
                            description: ''
                            example: null
                      avatar_thumb:
                        type: object
                        properties:
                          uri:
                            type: string
                            description: ''
                            example: >-
                              tos-useast5-avt-0068-tx/c39c2807c155535cf328225955e00aba
                          url_list:
                            type: array
                            items:
                              type: string
                            description: ''
                            example:
                              - >-
                                https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/example1.webp
                              - >-
                                https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/example2.jpeg
                          url_prefix:
                            type:
                              - string
                              - 'null'
                            description: ''
                            example: null
                      commerce_user_level:
                        type: number
                        description: ''
                        example: 0
                      custom_verify:
                        type: string
                        description: ''
                        example: verified account
                      enterprise_verify_reason:
                        type: string
                        description: ''
                        example: ''
                      follow_status:
                        type: number
                        description: ''
                        example: 0
                      follower_count:
                        type: number
                        description: Total number of users following this account
                        example: 33265168
                      follower_status:
                        type: number
                        description: ''
                        example: 0
                      following_count:
                        type: number
                        description: Number of accounts this user is following
                        example: 0
                      nickname:
                        type: string
                        description: The user’s profile display name
                        example: Taylor Swift
                      original_musician:
                        type: object
                        properties:
                          digg_count:
                            type: number
                            description: ''
                            example: 0
                          music_count:
                            type: number
                            description: ''
                            example: 7830
                          music_used_count:
                            type: number
                            description: ''
                            example: 0
                          new_release_clip_ids:
                            type: 'null'
                            description: ''
                            example: null
                      room_id:
                        type: number
                        description: ID for the account live room
                        example: 0
                      sec_uid:
                        type: string
                        description: User secUid
                        example: >-
                          MS4wLjABAAAAqB08cUbXaDWqbD6MCga2RbGTuhfO2EsHayBYx08NDrN7IE3jQuRDNNN6YwyfH6_6
                      secret:
                        type: number
                        description: Indicates whether the account is set to private
                        example: 0
                      short_id:
                        type: string
                        description: ''
                        example: '0'
                      show_favorite_list:
                        type: boolean
                        description: Whether the user’s liked videos list is public
                        example: true
                      signature:
                        type: string
                        description: The user’s profile bio
                        example: This is pretty much just a cat account
                      tab_settings:
                        type: object
                        properties:
                          private_tab:
                            type: object
                            properties:
                              private_tab_style:
                                type: number
                                description: ''
                                example: 1
                              show_private_tab:
                                type: boolean
                                description: ''
                                example: false
                      total_favorited:
                        type: number
                        description: >-
                          Total number of likes the user has received across all
                          videos
                        example: 263480662
                      uid:
                        type: string
                        description: User ID
                        example: '6881290705605477381'
                      unique_id:
                        type: string
                        description: >-
                          User uniqueID. The user’s public TikTok handle
                          (username)
                        example: taylorswift
                      verification_type:
                        type: number
                        description: ''
                        example: 1
                      with_commerce_entry:
                        type: boolean
                        description: ''
                        example: false
                  status_code:
                    type: number
                    description: |2-
                       Status Code
                            - 0: Success
                            - 3170: Not found
                            - 3002334: Not found
                          
                    example: 0
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````